aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flask-views/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 13:56:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:31 +0000
commite49371f248309190fc715eb70621f5550262be44 (patch)
treedd50e5ef156cad8efcb91054e773252ae573551f /testing/py-flask-views/APKBUILD
parentcfb1eceba0811854aafee0a9d3e40e1f66aa2b96 (diff)
downloadaports-e49371f248309190fc715eb70621f5550262be44.tar.gz
aports-e49371f248309190fc715eb70621f5550262be44.tar.bz2
aports-e49371f248309190fc715eb70621f5550262be44.tar.xz
testing/py-flask-views: new aport
Flask class based views extension https://pypi.python.org/pypi/Flask-Views
Diffstat (limited to 'testing/py-flask-views/APKBUILD')
-rw-r--r--testing/py-flask-views/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-views/APKBUILD b/testing/py-flask-views/APKBUILD
new file mode 100644
index 0000000000..ab19f19589
--- /dev/null
+++ b/testing/py-flask-views/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-views
+_pkgname=Flask-Views
+pkgver=0.2.1
+pkgrel=0
+pkgdesc="Flask class based views extension"
+url="https://pypi.python.org/pypi/Flask-Views"
+arch="noarch"
+license="BSD"
+depends="python py-flask py-flask-mongoengine"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="89fd9c04d6721e8b04c42b999170e74a Flask-Views-0.2.1.tar.gz"
+sha256sums="4aa75c8fb0cd9c07a30ab288774de710fda1136eb6ff18404b2f72513894d384 Flask-Views-0.2.1.tar.gz"
+sha512sums="cd70caebffb1427d18d58a06e196e404c426616345b487ebf08f936afeac37ba46a4757e526cb910bd4451456788766a0cb17eb58f3af55553fc0fd3f0984db7 Flask-Views-0.2.1.tar.gz"